﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
:root {
    --main-header-color: white;
    --main-header-textcolor: black;
    --address-book-background: rgb(215, 32, 81);
}

.TEAMSLogo {
    height: auto;
    width: 25%;
}

.navbar {
    background: linear-gradient(101deg, rgb(68 104 177) 40%, rgb(17 68 136) 100%);
    transition: background-color 0.5s ease;
    z-index: 100;
    /*//box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;*/
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
    border-bottom: 2px solid #fcaf17 !important;
}

#sidemenu {
    z-index: 1000 !important;
    left: 0px;
    width: 80px;
    transition: margin 0.5s ease;
}

#sidebarBackground {
    background: #35b17a;
    /*border-right: 1px solid lightgrey;*/
}

#subMenu {
    transition: margin 0.5s ease;
    z-index: 999 !important;
    position: absolute;
    left: 0px;
    width: 550px;
    box-shadow: rgb(0 0 0 / 15%) 1.95px 1.95px 2.6px;
    /*background: rgb(0 155 93);*/
    background: linear-gradient(90deg, rgb(0 155 93) 40%, rgb(85 190 140) 100%);
    border-radius: 0 20px 20px 0;
}

.xlefthide {
    margin-left: -0px !important;
}

.xleftshow {
    margin-left: 0px !important;
}

.lefthide {
    margin-left: -550px !important;
}

.leftshow {
    margin-left: 0px !important;
}

.submenucontent {
    transition-delay: 2s;
    visibility: visible;
    overflow: hidden;
}

.sections div i,
.sections div div {
    transition: all 0.2s;
    color: white;
}

.section {
    border-radius: 0px 0px 10px 0px;
    padding: 25px 0 25px 0;
    width: 100%;
    background: #35b17a;
    border-bottom: 3px solid #009b5d;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}
    .section:hover {
        background-color: #35b17aa3;
        border-bottom: 3px solid #fcaf17;
    }
.section:hover i {
    color: white;
    font-weight: bold;
}
.section:hover div {
    color: white;
    font-weight: bold;
}

.sectiondisabled {
    display:none;
    border-radius: 0px 0px 10px 0px;
    padding: 15px 0 15px 0;
    width: 100%;
    background: #6fa78e;
    border-bottom: 3px solid #508d72;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

    .sectiondisabled:hover {
        background-color: #88a99a;
        cursor: not-allowed;
        border-bottom: 3px solid #fcaf17;
    }

        .sectiondisabled:hover i {
            color: white;
            font-weight: bold;
        }

        .sectiondisabled:hover div {
            color: white;
            font-weight: bold;
        }

@media screen and (max-height: 850px) {
    .section, .sectiondisabled {
        padding: 10px 0 10px 0;
    }
    .section i.fa-2x {
        font-size:1.2em!important;
    }

    .section .sidemenutitle {
        font-size: 8pt;
    }
}

.contactssubMenu {
    background: linear-gradient(141deg, var(--address-book-background) 40%, rgb(240 79 124) 60%) !important;
}


.selected {
    background-color: #009358;
    border-bottom: 3px solid #fcaf17;
}
.selected .icon {
    color: white;
    font-size: 30pt;
}
.selected .small {
    color: white;
    font-weight: bold;
}
    .selected:hover,
    .selected:hover .small,
    .selected:hover i {
        background-color: #009b5d;
        color: white;
    }

#submencloseBtn:hover {
    cursor: pointer;
}


.contactssection {
    background: var(--address-book-background);
    border-bottom: 3px solid #009b5d;
    width: 110%;
}

    .contactssection:hover {
        background: var(--address-book-background);
    }

    .contactssection.selected {
        background: var(--address-book-background);
        border-bottom: 3px solid #fcaf17;
    }

        .contactssection.selected i {
            color:white;
        }
        .contactssection.selected:hover, .contactssection.selected:hover .small, .contactssection.selected:hover i {
            background-color: var(--address-book-background);
            color: white;
        }

.topmenu i {
    transition: all 0.2s ease;
    color: white;
}

.topmenuselected {
    /*color: #db8b00 !important;
    font-weight: bold;*/
}

.topmenu:hover i {
    /*color: #db8b00;
    font-weight: bold;
    font-size:xx-large;*/
    cursor: pointer;
    margin-top:4px;
}

#userProfileMenu {
    border-right: 1px solid lightgrey;
    top: 50px;
    right: 90px;
    width: 300px;
    z-index: 10;
    border-radius: 0px 0 20px 20px;
    transition: margin 0.5s ease;
}

.userprofileMenuHide {
    margin-top: -610px;
}

.k-rating-item.k-state-selected {
    color: gold;
}

#outboxview {
    border-right: 1px solid lightgrey;
    top: 50px;
    right: 180px;
    height: 480px;
    width: 500px;
    z-index: 10;
    border-radius: 0px 0 20px 20px;
    transition: margin 0.5s ease;
}

.outboxHide {
    margin-top: -510px;
}

#outboxview .k-grid-content, #outboxview th, #outboxview .k-grid-header {
    background: #f6e2bf47;
}

#notificationsMenu .k-grid-content, #notificationsMenu th, #notificationsMenu .k-grid-header {
    background: #c8e1ff9c;
}


#notificationsMenu {
    height: 480px;
    top: 50px;
    right: 140px;
    width: 500px;
    z-index: 10;
    border-radius: 0px 0 20px 20px;
    transition: margin 0.5s ease;
}

.notificationsMenuHide {
    margin-top: -510px;
}

.notificationmessage:hover {
    filter: brightness(0.9);
}

#filtersMenu {
    top: 0px;
    right: 0px;
    width: 400px;
    z-index: 10;
    border-radius: 0px 0 20px 20px;
    transition: margin 0.5s ease;
    padding-bottom: 0px;
}

#filtersBtn {
    transition: all 0.5s ease;
    background: white;
}


::-webkit-scrollbar {
    width: 20px;
}

::-webkit-scrollbar-thumb {
    background-color: #d6dee1;
    border-radius: 20px;
    border: 6px solid transparent;
    background-clip: content-box;
}

    ::-webkit-scrollbar-thumb:hover {
        background-color: #a8bbbf;
    }
/*
a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

.v-scroll-container {                
    overflow-x: hidden;
    overflow-y: auto;    
    padding: 10px;
}*/
/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}


.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.antiqueWhite {
    color: antiquewhite;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}
@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}
.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    overflow: hidden;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}
.footer {
    position: absolute;
    width: 100%;
    white-space: nowrap;
    line-height: 50px; /* Vertically center the text there */
}

.menuitemTop {
    border-radius: 50px 0px 0px 50px !important;
    transition: all 0.2s;
    margin: .25rem .25rem .25rem .25rem;
    margin-left: 200px;
}
    .menuitemTop:hover {
        margin-left: 150px;
    }

.submenuitemTop {
    margin-left: 250px;
    font-size:9pt!important;
}
    .submenuitemTop:hover {
        margin-left: 200px;
    }

/* Bootstrap override styles
-------------------------------------------------- */
.form-group {
    margin-bottom: 0.5rem;
    margin-left:20px;
}

.nav-item-whitebg:hover {
    background-color: white !important;
}
.text-white-70 {
    color: rgba(255, 255, 255, 0.7) !important;
}

/* Loading Icon */
#loading {
    visibility: hidden;
    z-index: 9999;
    position: fixed;
    top: 50%;
    left: 50%;
    background: white;
    border-radius: 50%;
    padding: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

/* Loading Wrapper */
.loadingWrapper {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.teams-survey {
    background: darkgoldenrod!Important;
    border-color: orange;
    color: white;
}

.teams-airtest {
    background: indianred!important;
    border-color: #ff0000;
    color: white;
}

.teams-legionella {
    background: darkcyan!important;
    color: white;
}

.teams-general {
    background: yellowgreen!important;
    color: white;
}

.teams-training {
    background: dodgerblue!important;
    color: white;
}

.teams-quote {
    background-color: #f7f7ce;
    background-color: black;
    border-color: white;
}

.teams-firerisk {
    background: darkred !important;
    border-color: #ff0000;
    color: white;
}

.out-of-scope {
    background-color: rgb(104 104 104 / 70%);
}

/*
    Section titles
*/
.teams-section-title {
    font-size: 18px;
    font-weight: bold;
    padding-left: 10px;
    padding-top: 10px;
}

/*
    Info box
*/
.info-box {
    border-width: 1px;
    border: solid;
    border-color: darkgray;
    padding: 3px;
    margin: 5px;
}

.info-icon {
    color: #4b6880;
    vertical-align: middle;
}

.info-box-title {
    vertical-align: central;
}

/*
    Validation errors box
*/
.validation-errors-box {
    border-width: 1px;
    border: solid;
    border-color: salmon;
    padding: 3px;
    margin: 5px;
}

.validation-errors-icon {
    color: salmon;
    vertical-align: middle;
}

.validation-errors-title {
    vertical-align: central;
}

/*
    Validation succcess box
*/
.validation-sucesss-box,
.success-box {
    border-width: 1px;
    border: solid;
    border-color: #5cb85c;
    padding: 3px;
    margin: 5px;
}

.validation-success-icon {
    color: #5cb85c;
    vertical-align: middle;
}

.validation-success-title {
    vertical-align: central;
}

/*
    Kendo Styles
*/
.k-window-titlebar {
    background: linear-gradient(101deg, rgb(68 104 177) 40%, rgb(17 68 136) 100%) !important;
    color: white;
    padding: 15px;
}
    .k-window-titlebar .k-window-title {
        font-size:0.8rem;
        padding:0px;
    }

.k-splitter {
    border: none;
}

.k-splitbar {
    background: #f6f7fa;
    padding: 10px;
}
.k-splitbar.k-state-focus,
.k-splitbar.k-state-focused,
.k-splitbar:active {
    background-color: #f6f7fa;
}

.k-dropdown .k-dropdown-wrap, 
.k-dropdowntree .k-dropdown-wrap {
    background-color: #fff !important;
}

div.k-grid-header thead tr,
.k-gantt-header {
    background-color: var(--main-header-color);
    color: var(--main-header-textcolor);
}

div.k-grid-header tr {
    background-color: var(--main-header-color);
    color: var(--main-header-textcolor);
}
div.k-grid-header tr:hover {
    background-color: var(--main-header-color);
    color: var(--main-header-textcolor);
}

.k-gantt-toolbar {
    background: white;
}

.homeShortcut {
    border-radius: 5px;
    border: 1px solid lightgrey;
    cursor: pointer;
    color: #818181;
    width: 100%;
    transition: all 0.2s;
}
    .homeShortcut:hover {
        box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
        opacity: 1
    }

.cursor-pointer {
    cursor: pointer;
}

.input-validation-error {
    box-shadow: 0px 0px 5px 1px rgba(255, 0, 0, 1);
    -webkit-box-shadow: 0px 0px 5px 1px rgba(255, 0, 0, 1);
    -moz-box-shadow: 0px 0px 5px 1px rgba(255, 0, 0, 1);
}

.k-multiselect-wrap:has(~ .input-validation-error) {
    box-shadow: 0px 0px 5px 1px rgba(255, 0, 0, 1);
    -webkit-box-shadow: 0px 0px 5px 1px rgba(255, 0, 0, 1);
    -moz-box-shadow: 0px 0px 5px 1px rgba(255, 0, 0, 1);
}

.rightPaneBorder {
    border: 1px 1px 0 1px solid lightgrey;
}

.formButtonDiv {
    bottom: 0;
    background-color: white;
    border-top: 1px solid lightgrey;
}
.formButtonDivNoBottom {
    background-color: white;
    border-top: 1px solid lightgrey;
}

.newReleaseBorder {
    background: linear-gradient(to right, #fff 20%, #fff 40%, #fcaf17 50%, #fcaf17 55%, #fff 70%, #fff 100%);
    background-size: 200% auto;
    animation: shine 3s linear reverse infinite;
}
@keyframes shine {
    to {
        background-position: 200% center;
    }
}
fff div.k-gantt-toolbar {
    display: none !important;
}

.h-90 {
    height: 90% !important;
}
.h-85 {
    height: 85% !important;
}
.h-80 {
    height: 80% !important;
}
.h-75 {
    height: 75% !important;
}

.overflowYScroll {
    overflow-y: scroll;
}

.overflowXScroll {
    overflow-x: scroll;
}

.MoveNoActive {
    cursor: grab;
}
.Move {
    cursor: grab;
}
    .Move:active {
        cursor: grabbing;
    }
.NoMove {
    cursor: no-drop;
}

.pillStrip {
    background: linear-gradient(101deg, rgb(68 104 177) 40%, rgb(17 68 136) 100%);
    height: 42px;
    border: 1px solid #b5b2b2;
}

.modal.fade .modal-bottom,
.modal.fade .modal-left,
.modal.fade .modal-right,
.modal.fade .modal-top {
    position: fixed;
    z-index: 1055;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0;
    max-width: 100%
}

.modal.fade .modal-right {
    left: auto !important;
    transform: translate3d(100%, 0, 0);
    transition: transform .3s cubic-bezier(.25, .8, .25, 1)
}

.modal.fade.show .modal-bottom,
.modal.fade.show .modal-left,
.modal.fade.show .modal-right,
.modal.fade.show .modal-top {
    transform: translate3d(0, 0, 0)
}

.w-xl {
    width: 320px
}

.modal-content,
.modal-footer,
.modal-header {
    border: none;
    height: 50px;
}    

.crmLink {
    cursor: pointer;
    color: #05a2d5;
}

/* Grid row colours */
.error-row {
    background-color: #d9534f;
    color: #f5efed;
}

.success-row {
    background-color: #5cb85c;
    color: #f5efed;
}

.info-row {
    background-color: #5bc0de;
    color: #f5efed;
}

.addressBookLink {
    background: var(--address-book-background);
    color: white;
    text-align:left;
}

#AssignedClientIdsImport_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}

#ClientId_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}

#SiteId_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}

    #SiteId_taglist li:has(.deleted-site) {
        background: grey;
    }

#AssignedClientIds_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}
#AssignedClientIdsForCategory_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}
#NewClientId_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}
#NewSiteId_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}
#OpportunityPeopleEmailIds_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}
#ContactPersonEmailId_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}
#JobPeopleEmailIds_taglist li {
    background: var(--address-book-background);
    color: white;
    text-align: left;
}


.addressBookColour {
    color: var(--address-book-background);
}

.addressBookColourInactive {
    color: lightgrey;
}

.k-group {
    font-size: 9pt;
}

/* bootstrap tooltips */
.tooltip-main {
    width: 20%;
    height: 20%;
    border-radius: 100%;
    font-weight: 700;
    background: #35B17A;
    border: 1px solid #737373;
    color: white;
    margin: 4px 121px 0 5px;
    float: right;
    text-align: left !important;
}

.tooltip-qm {
    float: left;
    margin: -2px 0px 3px 4px;
    font-size: 12px;
}

.tooltip-inner {
    max-width: 400px !important;
    height: auto;
    /*max-height: 200px;*/
    font-size: 12px;
    padding: 5px 5px 5px 5px;
    background: #35B17A;
    color: white;
    border: 1px solid #737373;
    text-align: left;
}

.tooltip.show {
    opacity: 1;
}


.bs-tooltip-auto[x-placement^=top] .arrow::before, .bs-tooltip-top .arrow::before {
    border-top-color: #35B17A;
}

.bs-tooltip-auto[x-placement^=right] .arrow::before, .bs-tooltip-right .arrow::before {
    border-right-color: #35B17A;
}

.bs-tooltip-auto[x-placement^=bottom] .arrow::before, .bs-tooltip-bottom .arrow::before {
    border-bottom-color: #35B17A;
}

.bs-tooltip-auto[x-placement^=left] .arrow::before, .bs-tooltip-left .arrow::before {
    border-left-color: #35B17A;
}


.grid-filter-active {
    color: #35B17A !important;
}

.grid-filter-inactive {
    color: white !important;
}

ul.grid-filter-list{
    margin-left:1px;
    padding-left:1px;
}

li.grid-filter-list {
    margin-left: 1px;
    padding-left: 1px;
}

.cursor-move {
    cursor: move;
}

.unread {
    background-color: #89beff;
}

.buttonHeight {
    min-height: 50px;
}

.searchInput {
    width: 300px;
    border-radius: 20px;
    font-family: Arial, FontAwesome
}

.dropdown-item:hover, .dropdown-item:focus {
    color: #16181b;
    text-decoration: none;
    background-color: #d9d9d9;
}

.deleted-quick-action {
    opacity: 0.6;
    cursor: not-allowed;
}

.empty-grid {
    color: #AD3636;
    height: 200px;
    font-weight: bold;
    font-size: 19pt;        
}

.grid-delete-icon {
    background:white;
    color: #DC3545;
    display: inline-block;
}

a.k-grid-delete {
    background: #DC3545;
    color: white;
    margin-bottom: 2px;
}

a.k-grid-edit {
    background: #FFC107;
    color: #504622;
    margin-bottom: 2px;
    width: 82.1px;
    font-weight: 600;
}

.selectedPublicHoliday {
    background-color: #35b17a;
    border: 1px solid #35b17a;
    border-radius: inherit;
    padding: 9px 10px 9px 10px;
}

label.required {
    font-weight:bold;
}

.dropdown-menu .dropdown-submenu {
    display: none;
    position: absolute;
    left: 99%;
    top: -1px;
    height: fit-content;
}

.dropdown-menu > div:hover > .dropdown-submenu {
    display: block;
}

.teamsmodal-button-bar {
    background-color: #e4e7eb;
}

.warning-message {
    color: black;
    background-color: goldenrod;
    border-color: red;
    border-width: thin;
    border-radius: 6px;
    padding: 5px;
}

#drop-zone,
.drop-zone,
#drop-zone-signature,
#additional-drop-zone  {
    background-color: white;
    border: dashed;
    border-color: lightgray;
    text-align: center;
    vertical-align: middle;
    margin-left: 2px;
    padding-top: 1px;
    padding-bottom: 1px;
    height: inherit;
    width: inherit;
}

.drop-zone-disabled {
    opacity: 0.3;
}

.upload-icon {
    color: #4B6880;
    opacity: 0.5;
}

.upload-icon:hover {
    opacity: 1;
}

.center-vh {
    display: flex;
    justify-content: center;
    align-items: center;
}

.k-progressbar .k-state-selected {
    background: linear-gradient(to right, #007bff 20%, #007bff 40%, #fcaf17 50%, #fcaf17 55%, #007bff 70%, #007bff 100%);
    background-size: 200% auto;
    animation: shine 3s linear reverse infinite;
}

.selectorcol {
    text-align: center !important;
}


.deleted-employee {
    padding: 3px;    
    background-color: slategrey;
    color: white;
}

*[disabled="disabled"] {
    color: black;
}